package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 机车行驶表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VehiclePosition implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 机车编码
     */
    private String vehicleCode;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 车辆行驶位置
     */
    private Integer travelMile;

    /**
     * 行别
     */
    private Integer lineDir;

    /**
     * 线路编码
     */
    private String railwayCode;

    /**
     * 当前时间
     */
    private LocalDateTime currentTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 备注
     */
    private String remark;


}
